Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.util
Class WebServiceExceptionAdvice

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.util.WebServiceExceptionAdvice

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.springframework.aop.ThrowsAdvice, org.springframework.context.MessageSourceAware

    public class WebServiceExceptionAdvice

extends java.lang.Object
implements org.springframework.aop.ThrowsAdvice, org.springframework.context.MessageSourceAware

Version:
  $Id: WebServiceExceptionAdvice.java 9970 2007-09-10 14:11:39Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`WebServiceExceptionAdvice()`

Method Summary
`void` | `afterThrowing(JSException ex)`
`void` | `afterThrowing(JSValidationException ex)`
`protected org.w3c.dom.Element` | `createStackTraceElement(JSException ex)`
`protected java.util.Locale` | `getLocale()`
`void` | `setMessageCodesResolver(org.springframework.validation.MessageCodesResolver messageCodesResolver)`
`void` | `setMessageSource(org.springframework.context.MessageSource messageSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceExceptionAdvice

    public WebServiceExceptionAdvice()

Method Detail

### setMessageSource

    public void setMessageSource(org.springframework.context.MessageSource messageSource)

  Specified by:
    `setMessageSource` in interface `org.springframework.context.MessageSourceAware`

### setMessageCodesResolver

    public void setMessageCodesResolver(org.springframework.validation.MessageCodesResolver messageCodesResolver)

### afterThrowing

    public void afterThrowing(JSException ex)
                       throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getLocale

    protected java.util.Locale getLocale()

### createStackTraceElement

    protected org.w3c.dom.Element createStackTraceElement(JSException ex)
                                                   throws javax.xml.parsers.ParserConfigurationException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### afterThrowing

    public void afterThrowing(JSValidationException ex)
                       throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.